Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225754 - dictd: FTBFS in Fedora rawhide/f39
Summary: dictd: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED COMPLETED
Alias: None
Product: Fedora
Classification: Fedora
Component: dictd
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos Rodriguez-Fernandez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:25 UTC by Fedora Release Engineering
Modified: 2024-01-16 16:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-16 16:23:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:25 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:25 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:25:41 UTC
dictd failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103567831


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix dictd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dictd will be orphaned. Before branching of Fedora 40,
dictd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:25:46 UTC
Created attachment 1977737 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:25:50 UTC
Created attachment 1977738 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:25:52 UTC
Created attachment 1977739 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:55:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Admin user for bugzilla script actions 2023-11-19 00:11:52 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Fedora Admin user for bugzilla script actions 2024-01-02 12:07:05 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Carlos Rodriguez-Fernandez 2024-01-16 14:14:30 UTC
The reason for the build failure is this error:

y.tab.c: In function 'yy_reduce_print':
y.tab.c:1090: error: unterminated #if
y.tab.c:1187:26: error: 'yyl' undeclared (first use in this function); did you mean 'yyi'?
y.tab.c:1187:26: note: each undeclared identifier is reported only once for each function it appears in
y.tab.c:1187:29: error: expected ')' at end of input
y.tab.c:1186:13: note: to match this '('
y.tab.c:1187:14: error: expected declaration or statement at end of input
y.tab.c:1185:7: warning: unused variable 'yyi' [-Wunused-variable]
y.tab.c:1184:7: warning: unused variable 'yynrhs' [-Wunused-variable]
y.tab.c:1183:7: warning: unused variable 'yylno' [-Wunused-variable]


However, this has been solved already by a patch added to the package by Florian Weimer to solve the compatibility with C99.
The package is currently building and available for F39 and also F40 (rawhide).

Closing.

Comment 8 Carlos Rodriguez-Fernandez 2024-01-16 14:16:36 UTC
Mixed up errors, the c99 patch is another error. Looking...

Comment 9 Carlos Rodriguez-Fernandez 2024-01-16 16:23:54 UTC
dictd is currently building successfully in F39: https://koji.fedoraproject.org/koji/taskinfo?taskID=111834852

The build is no longer a problem. Closing.


Note You need to log in before you can comment on or make changes to this bug.